import { RealAuthAPI } from "./real/auth-real-api";
import { MockAuthAPI } from "./mock/auth-mock-api";
import { AuthAPI, ShopAPI } from "./api-definition";
import { MockShopAPI } from "./mock/shop-mock-api";
import { MockProductAPI } from "./mock/products-mock-api";

export const authAPI: AuthAPI =
	import.meta.env.VITE_USE_MOCK_API === "true" ? MockAuthAPI : RealAuthAPI;

export const shopAPI: ShopAPI = MockShopAPI;

export const productsAPI = MockProductAPI;